﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;

namespace Grouping
{
    class ItemGroupStyleSelector : StyleSelector
    {
        public Style ControlStyle { get; set; }

        public Style ExampleStyle { get; set; }

        public override Style SelectStyle(object item, DependencyObject container)
        {
            if (item is Item)
            {
                return this.ExampleStyle;
            }
            else
            {
                return this.ControlStyle;
            }
        }
    }
}
